# Socicon::Rails

[![Build Status](https://travis-ci.org/timsly/socicon-rails.svg?branch=master)](https://travis-ci.org/timsly/socicon-rails)

socicon + sprockets = :heart:

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'socicon-rails'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install socicon-rails

## Usage

In your `application.css`, include the css file:

```css
/*
 *= require socicon
 */
```

### Sass Support

If you prefer [SCSS](http://sass-lang.com/documentation/file.SASS_REFERENCE.html), add this to your
`application.css.scss` file:

```scss
@import "socicon";
```

If you use the
[Sass indented syntax](http://sass-lang.com/docs/yardoc/file.INDENTED_SYNTAX.html),
add this to your `application.css.sass` file:

```sass
@import socicon
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/timsly/socicon-rails.

## The little story behind Socicon
Socicon was created to give people an easy way to customize social icons.  
**Made in France**  
In France we are very proud of our food (sometimes a bit too much)!   Socicon refers to the [saucisson](http://en.wikipedia.org/wiki/Saucisson), a sort of dry sausage that we eat as an aperitif with a drink, with cheese, in a packed lunch, well we can really eat saucisson any time, anywhere and with anyone!

## License

Socicon is released under SIL Open Font License 1.1 ([http://scripts.sil.org/OFL](http://scripts.sil.org/OFL)).  
You are free to use it on your website or project.  

### Commercial use
You can use Socicon on a commercial project (a product or service that you sell, make money out of it). Simply consider making a backlink to socicon.com, on credit page, legal notice or anywhere. You can use this:
`Social icons font: <a href="http://www.socicon.com" target="_blank" alt="Free social icons font" title="the social icons font">socicon</a>`

If you use Socicon on a commercial project, please consider making a [donation to support Socicon](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=MMAFH9MJUDYJE).

You can [send a message](mailto:hello@socicon.com) to tell me about your project, so I know the whereabouts of Socicon. I can talk about it in return and maybe make a featuring on the site.

## Share & Help

If you use Socicon for any project, please make a backlink to http://socicon.com somewhere in credits, imprint, legal notice.  
It will give us a hand and be highly appreciated.
You can also share Socicon on twitter, facebook, google+ or anywhere else.

You can also [make a donation](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=MMAFH9MJUDYJE)
